Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 449784 - Review Request: rpmreaper - A tool for removing packages from system
Summary: Review Request: rpmreaper - A tool for removing packages from system
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-03 15:31 UTC by Miroslav Lichvar
Modified: 2014-12-04 17:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-05 07:52:38 UTC
Type: ---
xjakub: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Lichvar 2008-06-03 15:31:00 UTC
Spec URL: http://mlichvar.fedorapeople.org/rpmreaper/rpmreaper.spec
SRPM URL: http://mlichvar.fedorapeople.org/rpmreaper/rpmreaper-0.1.3-1.fc10.src.rpm
Description:
rpmreaper is a simple ncurses application with a mutt-like interface that
allows removing unnecessary packages and their dependencies from the system.

Comment 1 Milos Jakubicek 2008-06-04 06:56:05 UTC
MUST items, if applicable:

[OK] rpmlint must be run on every package. The output should be posted in the
review.

(no output)

[OK] The package must be named according to the Package Naming Guidelines.
[OK] The spec file is named correctly.
[OK] The package must meet the Packaging Guidelines.

As you are upstream, please consider using the DESTDIR macro in your Makefile
and changing "%makeinstall" into "make DESTDIR=$RPM_BUILD_ROOT install" in the
future.
See
http://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used
for details.

[OK] The package has approved license and meet the Licensing Guidelines.
[OK] The License field in the package spec file must match the actual license.
[OK] The License file packaged as %doc.
[OK] The spec file must be written in American English.
[OK] The spec file for the package MUST be legible.
[OK] The sources used to build the package must match the upstream source.

MD5sum: 
be1f31514368fab7f80a8ee5631a0388  rpmreaper-0.1.3.tar.gz

[OK] The package must successfully compile and build into binary rpms on at
least one supported architecture.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=643921

[OK] All build dependencies must be listed in BuildRequires.
[OK] A package must own all directories that it creates.
[OK] A package must not contain any duplicate files in the %files listing.
[OK] Permissions on files must be set properly.
[OK] Each package must have a %clean section, which contains rm -rf %{buildroot}.
[OK] Each package must consistently use macros.
[OK] The package must contain code, or permissable content.
[OK] If a package includes something as %doc, it must not affect the runtime of
the application.
[OK] Packages must not own files or directories already owned by other packages.
[OK] At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[OK] All filenames in rpm packages must be valid UTF-8.

SHOULD items, if applicable:

[OK] The reviewer should test that the package builds in mock.
[OK] The package should compile and build into binary rpms on all supported
architectures.
[OK] The reviewer should test that the package functions as described.

APPROVED

Comment 2 Miroslav Lichvar 2008-06-04 08:38:07 UTC
Thanks for the review.

Comment 3 Miroslav Lichvar 2008-06-04 12:22:19 UTC
New Package CVS Request
=======================
Package Name: rpmreaper
Short Description: A tool for removing packages from system
Owners: mlichvar
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-06-04 16:24:08 UTC
cvs done.

Comment 5 Miroslav Lichvar 2009-04-08 11:20:27 UTC
Package Change Request
======================
Package Name: rpmreaper
New Branches: EL-4 EL-5
Owners: mlichvar

Comment 6 Kevin Fenzi 2009-04-09 21:02:41 UTC
cvs done.

Comment 7 Miroslav Lichvar 2014-12-04 15:43:45 UTC
Package Change Request
======================
Package Name: rpmreaper
New Branches: epel7
Owners: mlichvar

Comment 8 Gwyn Ciesla 2014-12-04 17:27:46 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.